Summary:	The BeeCrypt Cryptography Library
Name:		beecrypt
Version:	4.1.2
Release:	4tr
License:	LGPL v2.1
Group:		Trustix Official
Source0:	http://prdownloads.sf.net/beecrypt/beecrypt-%{version}.tar.gz
Patch0:		python-ver.patch
URL:		http://beecrypt.virtualunlimited.com/
BuildRequires:	python-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
BeeCrypt is an open source cryptography library that contains highly
optimized C and assembler implementations of many well-known
algorithms including Blowfish, MD5, SHA-1, Diffie-Hellman, and
ElGamal.

%package devel
Summary:	The BeeCrypt Cryptography Library - development files
Group:		Trustix Official
Requires:	%{name} = %{version}

%description devel
The BeeCrypt Cryptography Library - development files.

%package static
Summary:	The BeeCrypt Cryptography Library - static library
Group:		Trustix Official
Requires:	%{name}-devel = %{version}

%description static
The BeeCrypt Cryptography Library - static library.

%package -n python-beecrypt
Summary:	Files needed for python applications using beecrypt
Group:		Trustix Official
Requires:	%{name} = %{version}

%description -n python-beecrypt
The python-beecrypt package contains a module which permits
applications written in the Python programming language to use the
interface supplied by BeeCrypt libraries.

%prep
%setup  -q
#%patch0 -p3

%build
CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS='-I/usr/include/python2.3' ./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--enable-shares \
	--with-python \
	--with-javaglue
%{__make}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%files
%defattr(-,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(-,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/beecrypt/*

%files static
%defattr(-,root,root,755)
%{_libdir}/lib*.a

%files -n python-beecrypt
%defattr(-,root,root,755)
%{_libdir}/python2.3/site-packages/_bc.*


%changelog
* Fri Mar 18 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.1.2-3tr
- Rebuilt 

* Wed Mar 16 2005 Ajith Thampi <ajith at comodo dot com> 4.1.2-2tr
- Rebuilt, upstreamed to 4.1.2 from 3.1.0 (mishap in changelog)

* Wed Mar 09 2005 Ajith Thampi <ajith at comodo dot com> 4.1.2-1tr
- fixed filelist

* Tue Jan 18 2005 Ajith Thampi <ajith at comodo dot com> 4.1.2-1ta
- initial spec
